Report a listing

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://bump.sh/hivepress/doc/rest-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"HivePress REST API MCP server": {
  "url": "https://bump.sh/hivepress/doc/rest-api/mcp"
}
Close
POST /listings/{listing_id}/report

Sends an email to the site administrator.

Path parameters

  • listing_id integer Required

    Listing ID.

application/json

Body

  • details string

    Report details.

Responses

  • 200
POST /listings/{listing_id}/report
curl \
 --request POST '/wp-json/hivepress/v1/listings/{listing_id}/report' \
 --header "Content-Type: application/json" \
 --data '{"details":"string"}'
Request examples
{
  "details": "string"
}